## rexaping
It's a prometheus exporter pinging hosts in the background.
It's been forked from [peshming](https://git.jcg.re/jcgruenhage/peshming),
but only allowing targets to specify an interval, the config file can enrich
the Prometheus metrics with additional labels.

The name rexaping is a play on exaping, a tool with the same purpose
originally written in Python for Exa Networks.

### Usage:
```
$ rexaping --help
rexaping 0.2.3
Marek Isalski <marek@faelix.net>
Jan Christian Grünhage <jan.christian@gruenhage.xyz>
Pings configured hosts in a configurable intervals and exposes metrics for prometheus.

USAGE:
    rexaping [FLAGS] <config>

FLAGS:
    -h, --help       Prints help information
    -v, --verbose    Be verbose (you can add this up to 4 times for more logs).
                     By default, only errors are logged, so no output is a good thing.
    -V, --version    Prints version information

ARGS:
    <config>    Set config file

```
For configuration options, see the included sample config file.

### Endpoints:
There's two endpoints available:
 - `/metrics`, which serves the metrics
 - `/health`, which should always return a 200 status code
